# Create Order

Direct order submission allows channels to submit fully composed orders, including their own tax and shipping calculations, in a single request to the merchant through Violet. This feature overrides the platform's built-in pricing engine, ensuring accuracy in the merchant's system of record and customer communications.

Learn more about Direct Order Submission in [this guide](/prism/checkout-guides/guides/direct-order-submission.md).

{% hint style="info" %}
The following information is required to be included in the Order payload of this request:

1. First Name
2. Last Name
3. Email
4. Shipping Address
5. Bag(s)

For a multi-merchant Order, multiple bags must be created in the Order payload. Each Bag must contain items from only one merchant and have its own shipping method.
{% endhint %}

{% hint style="info" %}
When not bypassing payments, Violet currently only supports accepting Single-use Stripe Tokens as a payment method in this endpoint.
{% endhint %}

#### Submission Date

At the time of order submission a `date_submitted` property on the Order and Bag objects will be populated with [**ISO 8601**](https://en.wikipedia.org/wiki/ISO_8601) datetime values that reflect the submission time. On the Order object this value will capture the last time the Order was submitted to Violet. Each Bag object within the Order object will reflect the last time an attempt was made to submit the Bag to the external commerce platform.

{% openapi src="/files/bCeimlLDKxePwuKxLA9f" path="/orders" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-8ab007712b2fb1063fba6d0d5fac84738eef8644%2Forder-service.yaml?alt=media\&token=1e88ef13-13e7-4cdc-a997-f53a9df94676)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/orders/create-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
